Cyberduck Mountain Duck CLI

#8345 closed enhancement (fixed)

Recursively search for files

Reported by: mortiz Owned by:
Priority: low Milestone: 6.1.0
Component: core Version: 4.5.2
Severity: normal Keywords: Search, recursively
Cc: Architecture: Intel
Platform: Mac OS X 10.10

Description

Hello, I don't know if its possible, couldn't find how to, but would be great to be able to search files/folders recursively.

For instance, I would like to change permissions of all the config.php files on my server. With this type of search, I would be able to select them all, and just change the permission.

Change History (10)

comment:1 Changed on Dec 4, 2014 at 4:39:24 PM by dkocher

  • Priority changed from normal to low

comment:2 Changed on Jul 29, 2015 at 5:59:38 AM by dkocher

#8954 closed as duplicate.

comment:3 Changed on Jul 29, 2015 at 9:19:06 AM by crc123

I concur as to value of this feature. With large directories of the kind many of us have, search enhancements would be valued.

I note too related anomalous behaviour - when you search for a term contained in directory names which also appears in file names within the directories you will be given both.

Eg,

search for doc gives you directory doc5 and file within it containing the word 'Cradock'

comment:4 Changed on Oct 15, 2015 at 1:55:44 PM by dkocher

  • Milestone set to 4.8
  • Resolution set to fixed
  • Status changed from new to closed

Now works for expanded folders. In r18359.

comment:5 Changed on Feb 9, 2016 at 8:31:18 PM by dkocher

  • Milestone changed from 4.7.3 to 4.8
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:6 Changed on Feb 9, 2016 at 8:31:48 PM by dkocher

#9187 closed as duplicate.

comment:7 Changed on Feb 11, 2016 at 5:14:33 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r19371.

comment:8 Changed on Jun 6, 2017 at 1:37:02 PM by dkocher

  • Milestone changed from 4.8 to 6.1
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:9 Changed on Jun 9, 2017 at 4:44:20 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r41336.

comment:10 Changed on Oct 21, 2018 at 2:51:02 PM by dkocher

  • Milestone changed from 6.1 to 6.1.0

Milestone renamed

Note: See TracTickets for help on using tickets.
swiss made software